Openi DeveloperDeveloper

List the matches produced by a job

GET
/v1/jobs/{job_id}/matches
AuthorizationBearer <token>

In: header

Path Parameters

job_id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$
Formatuuid

Query Parameters

status?string

Value in

  • "matched"
  • "possible"
  • "partial"
  • "confirmed"
  • "rejected"
  • "reverted"
cursor?string

next_cursor from the previous page

Match^\d+$
limit?integer
Range1 <= value <= 500
Default100

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/v1/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/matches"
{  "data": [    {      "id": -9007199254740991,      "ruleset_id": "string",      "status": "matched",      "kind": "1:1",      "strategy": "pair",      "amount_diff": -9007199254740991,      "expected_count": -9007199254740991,      "score": 0,      "step": -9007199254740991,      "pass": -9007199254740991,      "job_id": "string",      "note": "string",      "decided_at": "2019-08-24T14:15:22Z",      "breakdown": {        "property1": 0,        "property2": 0      },      "left": [        {          "dataset_id": "string",          "record_id": -9007199254740991,          "external_id": "string",          "values": {            "property1": null,            "property2": null          }        }      ],      "right": [        {          "dataset_id": "string",          "record_id": -9007199254740991,          "external_id": "string",          "values": {            "property1": null,            "property2": null          }        }      ],      "created_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": -9007199254740991}